> For the complete documentation index, see [llms.txt](https://www.mongodb.com/docs/api/doc/atlas-app-services-admin-api-v3/llms.txt)

# Authenticate as an App Services administrator

> POST /auth/providers/mongodb-cloud/login
> 
> Authenticate as an App Services administrator using an Atlas
> programmatic API key pair. To learn more, see [Get An Admin API
> Session Access Token](#get-an-admin-api-session-access-token).



## Servers
- The root API resource and starting point for the App Services API.: https://services.cloud.mongodb.com/api/admin/v3.0 (The root API resource and starting point for the App Services API.)



## Parameters



### Body: application/json (object)

- **username** (string)

- **apiKey** (string)



## Responses
### 200
Authentication was successful.

#### Body: application/json (object)
- **access_token** (string)
  An access token you may provide in the `Authorization` header of API
  requests. [The App Services API Authentication section](#section/Get-Authentication-Tokens) demonstrates how to use this token.

- **refresh_token** (string)
  A refresh token you may provide in the `Authorization` header of
  [POST auth/session](#section/adminCreateSession)
  to obtain a new `access_token` for the current user session.

- **user_id** (string)
  The unique `_id` value of the MongoDB Cloud user.

- **device_id** (string)



[Powered by Bump.sh](https://bump.sh)
